Ask us - button

FLUICAL® Prestige calibration software

Bronkhorst developed the FLUICAL® Prestige calibration software for the calibration of the Prestige mass flow meters and controllers. FLUICAL® Prestige is an advanced desktop application, communicating with FLOW-BUS™, using FlowDDE interfacing software and using a local database to calibrate and/or adjust Prestige instruments. The application exports its certificates to an Excel-template, allowing the user to easily customize the certificate to his/her needs. To take full advantage of the software it is recommended to follow a training course at Bronkhorst headquarters or a distributor’s office.

FLUICAL Prestige calibration software

Basic version

Bronkhorst customers can apply for a basic version of FLUICAL® Prestige that contains a basic data set of nearly 100 gases. Registered users of Fluidat on the Net can use fluid data and/or conversion data provided by this facility in FLUICAL® Prestige.

Licensed version

This option includes the use of a dongle that gives access to the FLUIDAT® database, allowing the user to easily calculate fluid data and/or conversion data for variable operating conditions.

Installation Guide

Prerequisites
To run FLUICAL Prestige successfully, the following system requirements apply:

  • Windows 7, 8, 8.1 or 10 (x86 or x64)
  • .NET Framework 4.6.1 or higher
  • FlowDDE V4.73 or higher
  • Sql Local DB 2014

Installation steps
The following tools should be installed to run FLUICAL Prestige correctly:

When not already installed:

  • Microsoft .NET Framework 4.6.1 or higher
    Installing the Microsoft .NET Framework is not required on Windows 10 because .NET Framework 4.6.1 or higher is already included.

    Install the latest Microsoft .NET Framework
    - from the CD: NDP461-KB3102436-x86-x64-AllOS-ENU.exe
    - or download from the Microsoft-website

  • Sql Local DB 2014
    Install the appropriate version:
    - from the CD: SqlLocalDB (x64).msi or SqlLocalDB (x86).msi
    - or download from the Microsoft website

Install FLUICAL® Prestige:

  • FLUICAL® Prestige
    Execute the installer (FLUICAL Prestige_Vx.x.x.exe).

Share this page: